%define upstream_name    POE-Component-Client-Keepalive
%define upstream_version 0.272

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Epoch:      1

Summary:    Manage connections, with keep-alive
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::IP::Minimal) >= 0.20.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(POE::Component::Resolver) >= 0.917.0
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(POE\\)

%description
POE::Component::Client::Keepalive creates and manages connections for
other components. It maintains a cache of kept-alive connections for
quick reuse. It is written specifically for clients that can benefit
from kept-alive connections, such as HTTP clients. Using it for one-shot
connections would probably be silly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1:0.272.0-11.mga9
+ Revision: 1830015
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.272.0-10.mga8
+ Revision: 1496855
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:0.272.0-9.mga7
+ Revision: 1270854
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.272.0-8.mga6
+ Revision: 1032460
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:0.272.0-7.mga6
+ Revision: 948358
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 pterjan <pterjan> 1:0.272.0-6.mga5
+ Revision: 787555
- Remove wrong excludes

* Sat Oct 18 2014 umeabot <umeabot> 1:0.272.0-5.mga5
+ Revision: 787535
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.272.0-4.mga5
+ Revision: 747503
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:0.272.0-3.mga5
+ Revision: 733317
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.272.0-2.mga5
+ Revision: 685813
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 sander85 <sander85> 1:0.272.0-1.mga5
+ Revision: 651262
- update to 0.272

* Fri Oct 18 2013 umeabot <umeabot> 1:0.271.0-3.mga4
+ Revision: 513863
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.271.0-2.mga3
+ Revision: 371219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1:0.271.0-1.mga3
+ Revision: 255802
- update to 0.271

* Tue Mar 06 2012 jquelin <jquelin> 1:0.269.0-1.mga2
+ Revision: 219743
- update to 0.269
- update to 0.268

* Fri Jun 17 2011 jquelin <jquelin> 1:0.267.0-1.mga2
+ Revision: 109009
- update to 0.267

* Tue Feb 22 2011 jquelin <jquelin> 1:0.266.0-1.mga1
+ Revision: 56816
- update to 0.266

* Mon Jan 24 2011 jquelin <jquelin> 1:0.263.0-1.mga1
+ Revision: 36469
- mageia rebuild
- imported package perl-POE-Component-Client-Keepalive

